Package ej.microvg

## Enum VectorGraphicsPainter.FillType

- java.lang.Object
- - java.lang.Enum<VectorGraphicsPainter.FillType>
  - - ej.microvg.VectorGraphicsPainter.FillType

- All Implemented Interfaces:
    `Serializable`, `Comparable<VectorGraphicsPainter.FillType>`
  Enclosing class:
    VectorGraphicsPainter

      public static enum VectorGraphicsPainter.FillType
      extends Enum<VectorGraphicsPainter.FillType>

  Enum for the ways a path may be filled.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EVEN_ODD` | Specifies that "inside" is computed by an odd number of edge crossings.
    `WINDING` | Specifies that "inside" is computed by a non-zero sum of signed edge crossings.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VectorGraphicsPainter.FillType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static VectorGraphicsPainter.FillType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WINDING

          public static final VectorGraphicsPainter.FillType WINDING

      Specifies that "inside" is computed by a non-zero sum of signed edge crossings.

    - #### EVEN_ODD

          public static final VectorGraphicsPainter.FillType EVEN_ODD

      Specifies that "inside" is computed by an odd number of edge crossings.

  - ### Method Detail

    - #### values

          public static VectorGraphicsPainter.FillType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VectorGraphicsPainter.FillType c : VectorGraphicsPainter.FillType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VectorGraphicsPainter.FillType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null